Bug 15137 - Отсутствие пробела
Summary: Отсутствие пробела
Status: CLOSED FIXED
Alias: None
Product: Sisyphus
Classification: Development
Component: synaptic (show other bugs)
Version: unstable
Hardware: all Linux
: P4 minor
Assignee: Anton Farygin
QA Contact: qa-sisyphus
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-28 12:57 MSK by Denis Yagofarov
Modified: 2009-05-10 09:33 MSD (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Yagofarov 2008-03-28 12:57:49 MSK
rpm -qa | grep synaptic
synaptic-0.57.2-alt2.3

В диалоге внесения изменений, при нажатии на кнопку "Подробнее", видим такое:
версияamixer будет понижена
версияaplay будет понижена
alterator-users (версия 8.1-alt4) будет повышена до версии 8.2-alt1

хотя олжно быть такое:
версия amixer будет понижена
версия aplay будет понижена
alterator-users (версия 8.1-alt4) будет повышена до версии 8.2-alt1
Comment 1 Mikhail Gusarov 2008-06-13 13:00:39 MSD

    
Comment 2 Slava Semushin 2009-01-10 01:01:26 MSK
Если нужно, то могу и исправить, пока большие дяди заняты большими делами.
Comment 3 Sviatoslav Sviridov 2009-01-10 09:58:35 MSK
Если не сложно - сделайте плз... 
Кстати, пакет будет рад, если его заберет мантейнер, обладающий большим количеством времени на поддержку ;)
Comment 4 Slava Semushin 2009-01-10 15:13:09 MSK
(In reply to comment #3)
> Если не сложно - сделайте плз... 

Сделаю. Вы права на NMU только выдайте.

И это. Я тут пять раз уже перекомпилял всё, а оказалось, что я правил 
synaptic-ru.po, а он не используется и нужно было править synaptic/po/ru.po Это что за прикол такой? Зачем было заменять po-файл, если его можно было бы просто пропатчить?

Comment 5 Slava Semushin 2009-01-10 15:28:06 MSK
(In reply to comment #4)
> И это. Я тут пять раз уже перекомпилял всё, а оказалось, что я правил 
> synaptic-ru.po, а он не используется 

Не использовался, потому что был уже готовый gmo-файл, который и устанавливался. Наверное, кто-то полагался на то, что заменив po-файл make сам перегенерит и gmo-файл, но этого не произошло.
Comment 6 Slava Semushin 2009-01-10 15:32:01 MSK
Исправления доступны здесь: http://git.altlinux.org/people/php_coder/packages/synaptic.git

2svd@: жду от вас ACL-я.
Comment 7 Sviatoslav Sviridov 2009-01-11 23:56:37 MSK
nmu готов.
Правда тут глянул - можно было и без nmu - Вы в списке сборщиков, так что пакет прошел бы и так :) Может, станете лидером для этого пакета?

Насчет gmo - не в курсе почему сейчас не подхватывалось, вроде бы раньше работало и так, если мне мой склероз не изменяет :)
Comment 8 Dmitry V. Levin 2009-01-12 01:16:22 MSK
(In reply to comment #7)
> nmu готов.
> Правда тут глянул - можно было и без nmu - Вы в списке сборщиков,

Это я сегодня добавил.  Не люблю я nmu ;)

> так что пакет
> прошел бы и так :) Может, станете лидером для этого пакета?
> 
> Насчет gmo - не в курсе почему сейчас не подхватывалось, вроде бы раньше
> работало и так, если мне мой склероз не изменяет :)

*.gmo лучше удалать в любом случае.
А сломалось, вероятно, из-за съехавших timestamp'ов.
Comment 9 Slava Semushin 2009-01-12 06:49:19 MSK
Fixed in 0.57.2-alt2.5
Comment 10 Slava Semushin 2009-01-12 06:54:34 MSK
(In reply to comment #7)
> nmu готов.
> Правда тут глянул - можно было и без nmu - Вы в списке сборщиков, так что пакет
> прошел бы и так :) Может, станете лидером для этого пакета?

Лидером, это мэйнтейнером? Я не пользуюсь синаптиком и поставил его только для того, чтобы этот баг исправить, а как исправил -- удалил. Я могу попробовать собрать новую версию synaptic, если это надо, но мэйнтейнить его желания нет.